# Class ExpandRowService<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:7

#####
Index

### Constructors

constructor

### Properties

expandedRow

### Methods

isExpanded
isExpanded$
toggleRow

## Constructors

### constructor

- new ExpandRowService<Data>(): ExpandRowService<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Returns ExpandRowService<Data>

## Properties

### expandedRow

expandedRow: BehaviorSubject<Data> = ...

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:8

## Methods

### isExpanded

- isExpanded(row): boolean

- #### Parameters

  - row: Data

  #### Returns boolean

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:18

### isExpanded$

- isExpanded$(row): Observable<boolean>

- #### Parameters

  - row: Data

  #### Returns Observable<boolean>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:22

### toggleRow

- toggleRow(row): void

- #### Parameters

  - row: Data

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:10